Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.framework
Class EPPSerialAssembler

    java.lang.Object
      com.verisign.epp.framework.EPPSerialAssembler

All Implemented Interfaces:
  EPPAssembler

    public class EPPSerialAssembler

extends java.lang.Object
implements EPPAssembler

The `EPPSerialAssembler` class provides an implementation of EPPAssembler that can assemble/disassemble `EPPMessage`s and `EPPEventResponse`s from standard java Input and Outputstreams using java serialization.

Version:
  $Revision: 1.3 $
Author:
  $Author: jim $
See Also:
  `EPPAssembler`

Constructor Summary
`EPPSerialAssembler()` Construct and instance of an `EPPSerialAssembler`

Method Summary
`EPPEvent` | `toEvent(java.io.InputStream aStream, java.lang.Object aData)` Takes an `InputStream` and uses java serialization to create an `EPPEvent`
`void` | `toStream(EPPEventResponse aMessage, java.io.OutputStream aOutputStream, java.lang.Object aData)` Takes an `EPPEventResponse` and serializes it to an `OutputStream` using java serialization.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EPPSerialAssembler

    public EPPSerialAssembler()

  Construct and instance of an `EPPSerialAssembler`

Method Detail

### toStream

    public void toStream(EPPEventResponse aMessage,
                         java.io.OutputStream aOutputStream,
                         java.lang.Object aData)
                  throws EPPAssemblerException

  Takes an `EPPEventResponse` and serializes it to an `OutputStream` using java serialization.

  Specified by:
    `toStream` in interface `EPPAssembler`
  Parameters:
    `aMessage` - The response that will be serialized
    `aOutputStream` - The OutputStream that the response will be serialized to.
    `aData` - DOCUMENT ME!
  Throws:
    `EPPAssemblerException` - Error serializing the `EPPEventResponse`

### toEvent

    public EPPEvent toEvent(java.io.InputStream aStream,
                            java.lang.Object aData)
                     throws EPPAssemblerException

  Takes an `InputStream` and uses java serialization to create an `EPPEvent`

  Specified by:
    `toEvent` in interface `EPPAssembler`
  Parameters:
    `aStream` - The InputStream to read data from.
    `aData` - DOCUMENT ME!
  Returns:
    EPPEvent The `EPPEvent` that is created from the InputStream
  Throws:
    `EPPAssemblerException` - Error creating the `EPPEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.